Skip to content

Create 'Outdoorsectionvacancynotation'

Request

Security
customer_id and application_id and service_id and service_version_id and client_ct and client_object_id and client_secret
Bodyapplication/json
spaceobject(Outdoorsection)required
start_datestring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: end_date

end_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: start_date

annulledboolean
custom_idstring or null, <= 128 characters
organizationobject or null(Organization)
POST
/objects/spaces/vacancies/outdoorsectionvacancynotation/
curl -i -X POST \
  https://dev.api.pigello.io/objects/spaces/vacancies/outdoorsectionvacancynotation/ \
  -H 'Content-Type: application/json' \
  -H 'X-PIGELLO-APPLICATION-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-CT: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-ENTITY: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CLIENT-SECRET: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-CUSTOMER-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-ID: YOUR_API_KEY_HERE' \
  -H 'X-PIGELLO-SERVICE-VERSION-ID: YOUR_API_KEY_HERE' \
  -d '{
    "space": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    },
    "end_date": "2019-08-24",
    "start_date": "2019-08-24",
    "annulled": true,
    "custom_id": "string",
    "organization": {
      "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08"
    }
  }'

Responses

Successful creation

Bodyapplication/json
spaceobject(Outdoorsection)required
idstring, (uuid)read-onlyrequired

Additional Validation Information:

Must be unique

start_datestring, (date)required

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: end_date

end_datestring or null, (date)

Additional Validation Information:

This value must be set in an proper order, in relation to the following fields: start_date

tagsanyread-only
created_atstring, (date-time)read-only
automaticbooleanread-only
annulledboolean
custom_idstring or null, <= 128 characters
organizationobject or null(Organization)
customer_columnsanyread-only
Response
{ "space": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "end_date": "2019-08-24", "tags": null, "created_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "start_date": "2019-08-24", "automatic": true, "annulled": true, "custom_id": "string", "organization": { "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08" }, "customer_columns": null }